Package org.eclipse.net4j.util.collection

# Class MultiMap.ListBased<K,V>

java.lang.Object
org.eclipse.net4j.util.collection.MultiMap<K,V>
org.eclipse.net4j.util.collection.MultiMap.ListBased<K,V>

All Implemented Interfaces:
  `Map<K,V>`

Enclosing class:
  MultiMap<K,V>

public static class MultiMap.ListBased<K,V> extends MultiMap<K,V>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.MultiMap

`MultiMap.ListBased<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`ListBased()`
`ListBased(List<Map<K,V>> delegates)`

## Method Summary

Modifier and Type
Method
Description
`protected List<Map<K,V>>`
`createDelegates()`
`protected Map<K,V>`
`doGetDelegate(int index)`
`int`
`getDelegateCount()`
`List<Map<K,V>>`
`getDelegates()`
`void`
`setDelegates(List<Map<K,V>> delegates)`

### Methods inherited from class org.eclipse.net4j.util.collection.MultiMap

`clear, containsKey, containsKey, containsValue, entrySet, get, getDelegate, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### ListBased

public ListBased()

### ListBased

public ListBased(List<Map<K,V>> delegates)

## Method Details

### getDelegates

public List<Map<K,V>> getDelegates()

### setDelegates

public void setDelegates(List<Map<K,V>> delegates)

### getDelegateCount

public int getDelegateCount()

Specified by:
  `getDelegateCount` in class `MultiMap<K,V>`

### doGetDelegate

protected Map<K,V> doGetDelegate(int index)

Specified by:
  `doGetDelegate` in class `MultiMap<K,V>`

### createDelegates

protected List<Map<K,V>> createDelegates()